# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsGit/GitPatchStatisticsDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_GitPatchStatisticsDialog(object):
    def setupUi(self, GitPatchStatisticsDialog):
        GitPatchStatisticsDialog.setObjectName("GitPatchStatisticsDialog")
        GitPatchStatisticsDialog.resize(550, 450)
        GitPatchStatisticsDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(GitPatchStatisticsDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label = QtWidgets.QLabel(parent=GitPatchStatisticsDialog)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.changesTreeWidget = QtWidgets.QTreeWidget(parent=GitPatchStatisticsDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(4)
        sizePolicy.setHeightForWidth(self.changesTreeWidget.sizePolicy().hasHeightForWidth())
        self.changesTreeWidget.setSizePolicy(sizePolicy)
        self.changesTreeWidget.setAlternatingRowColors(True)
        self.changesTreeWidget.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.NoSelection)
        self.changesTreeWidget.setRootIsDecorated(False)
        self.changesTreeWidget.setItemsExpandable(False)
        self.changesTreeWidget.setObjectName("changesTreeWidget")
        self.verticalLayout.addWidget(self.changesTreeWidget)
        self.label_2 = QtWidgets.QLabel(parent=GitPatchStatisticsDialog)
        self.label_2.setObjectName("label_2")
        self.verticalLayout.addWidget(self.label_2)
        self.summaryEdit = QtWidgets.QPlainTextEdit(parent=GitPatchStatisticsDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(2)
        sizePolicy.setHeightForWidth(self.summaryEdit.sizePolicy().hasHeightForWidth())
        self.summaryEdit.setSizePolicy(sizePolicy)
        self.summaryEdit.setTabChangesFocus(True)
        self.summaryEdit.setReadOnly(True)
        self.summaryEdit.setTextInteractionFlags(QtCore.Qt.TextInteractionFlag.TextSelectableByKeyboard|QtCore.Qt.TextInteractionFlag.TextSelectableByMouse)
        self.summaryEdit.setObjectName("summaryEdit")
        self.verticalLayout.addWidget(self.summaryEdit)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=GitPatchStatisticsDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(GitPatchStatisticsDialog)
        self.buttonBox.accepted.connect(GitPatchStatisticsDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(GitPatchStatisticsDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(GitPatchStatisticsDialog)

    def retranslateUi(self, GitPatchStatisticsDialog):
        _translate = QtCore.QCoreApplication.translate
        GitPatchStatisticsDialog.setWindowTitle(_translate("GitPatchStatisticsDialog", "Patch Statistics"))
        self.label.setText(_translate("GitPatchStatisticsDialog", "Insertions and Deletions:"))
        self.changesTreeWidget.setSortingEnabled(True)
        self.changesTreeWidget.headerItem().setText(0, _translate("GitPatchStatisticsDialog", "# Insertions"))
        self.changesTreeWidget.headerItem().setText(1, _translate("GitPatchStatisticsDialog", "# Deletions"))
        self.changesTreeWidget.headerItem().setText(2, _translate("GitPatchStatisticsDialog", "File"))
        self.label_2.setText(_translate("GitPatchStatisticsDialog", "Summary Information:"))
